
prompt
prompt 创建hash_cluster
create cluster hash_cluster 
(hash_key number) 
hashkeys 75000
size 150
tablespace mssm
/

prompt
prompt 创建表t_hashed 
create table t_hashed 
cluster hash_cluster(object_id)
as 
select * from all_objects
/

prompt 
prompt 在表t_hashed 添加主健约束
alter table t_hashed add constraint 
t_hashd_pk primary key(object_id)
/

prompt 
prompt 收集表信息
begin 
    dbms_stats.gather_table_stats( user,'T_HASHED' );
end;
/
